Subject: Re: [PATCH 00/16] MDIO and ethtool enhancements

From: Ben Hutchings <[email-masked]>
Date: Thu, 30 Apr 2009 02:28:27 +0100

On Wed, 2009-04-29 at 17:31 -0700, David Miller wrote:
[...]
> > - Is it reasonable to carry on using the MII ioctl interface with flags?
> 
> I don't know, I'm a little disappointed it's still around but
> I suppose someone finds it useful.
[...]

It's definitely a useful debugging feature, though probably less
important where the PHY driver is implemented in firmware.  We also use
it for field upgrades of PHY firmware.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.